#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "GameplayTagContainer.h"
#include "BaseBehaviourIncentive.generated.h"

UCLASS(Blueprintable, Abstract)
class UBaseBehaviourIncentive : public UObject
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	FGameplayTag _id;

public:
	UBaseBehaviourIncentive();
};

FORCEINLINE uint32 GetTypeHash(const UBaseBehaviourIncentive) { return 0; }
